Bug 99372 - Continuing DMA-related errors with HPT374 and 2.4.20-19.9
Continuing DMA-related errors with HPT374 and 2.4.20-19.9
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-18 05:26 EDT by Tomi Orava
Modified: 2007-04-18 12:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The output of lspci -vv (1.98 KB, text/plain)
2003-07-18 05:28 EDT, Tomi Orava
no flags Details
IDE DMA-related errors with latest 2.4.20-19.9 kernel (5.42 KB, text/plain)
2003-07-24 11:30 EDT, Tomi Orava
no flags Details

  None (edit)
Description Tomi Orava 2003-07-18 05:26:36 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703

Description of problem:
It's impossible to install RedHat Linux 9 into a hard-disk which is connected to
HPT374 ide-controller when the DMA has not been disabled. Obviously, the system
will simply not boot later on (after the installation) if the "ide=nodma" kernel
parameter has not been set accordingly.

ACPI doesn't seem to matter as it has been tested on and off, as well as local
IO-Apic has been disabled as well. The system works fine with Highpoint's own
proprietary ide-driver though (DMA enabled).

The error message is:
"hde: Lost interrupt"
(there is simply nothing else)



l

Version-Release number of selected component (if applicable):
kernel-2.4.20-8, kernel-2.4.20-18.9

How reproducible:
Always

Steps to Reproduce:
1. Try too boot up the system with 2.4.20-18.9, which has been installed on a
disk connected to HPT374-controller.
2.
3.
    

Additional info:


The hardware in question is:

Epox 8K9A3+ motherboard (Via KT400, HPT374-ide (Dual Channel ATA-66/100/133
IDE), Latest v. 13.03.2003 mb bios)
AMD Athlon 1400 TB
IBM Deskstar 75GXP 45GB HD (IBM-DTLA-307045)
Comment 1 Tomi Orava 2003-07-18 05:28:24 EDT
Created attachment 92998 [details]
The output of lspci -vv
Comment 2 Tomi Orava 2003-07-24 11:30:12 EDT
Created attachment 93110 [details]
IDE DMA-related errors with latest 2.4.20-19.9 kernel

It seems that the release of RH9 updated kernel (2.4.20-19.9) has fixed the
kernel hanging bug (DMA w/ HPT374), although there still seems to be some
problems with DMA with high I/O cases as the attached log file shows. I'm very
happy to get rid of hightech's proprietary driver ...
If you need any more information, please ask.
Comment 3 Bugzilla owner 2004-09-30 11:41:18 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.